_dbswap Union Reference

## Data Fields

rpmuint32_t | ui
unsigned char | uc [4]
const rpmuint32_t | ui
const unsigned char | uc [4]

## Detailed Description

Definition at line 469 of file rpmdb.c.

## Field Documentation

const unsigned char _dbswap::uc[4]

Definition at line 52 of file lookup3.c.

unsigned char _dbswap::uc

Definition at line 471 of file rpmdb.c.

Referenced by sql_byteswapped(), and sql_initDB().

const rpmuint32_t _dbswap::ui

Definition at line 51 of file lookup3.c.

rpmuint32_t _dbswap::ui

Definition at line 470 of file rpmdb.c.

Referenced by dbt2set(), rpmdbAdd(), rpmdbRemove(), rpmmiInit(), rpmmiNext(), set2dbt(), sql_bind_key(), and sql_step().

The documentation for this union was generated from the following files:

- rpmdb/rpmdb.c
- rpmdb/sqlite.c
- rpmio/lookup3.c